# Marshal.h File Reference

`#include "ace/CORBA_macros.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/Basic_Types.h"`

Include dependency graph for Marshal.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CORBA
namespace | TAO

## Classes

class | TAO_Marshal_Object
| TAO_Marshal_Object. More...
class | TAO_Marshal_Primitive
| TAO_Marshal_Primitive. More...
class | TAO_Marshal_Any
| TAO_Marshal_Any. More...
class | TAO_Marshal_TypeCode
| TAO_Marshal_TypeCode. More...
class | TAO_Marshal_Principal
| TAO_Marshal_Principal. More...
class | TAO_Marshal_ObjRef
| TAO_Marshal_ObjRef. More...
class | TAO_Marshal_Struct
| TAO_Marshal_Struct. More...
class | TAO_Marshal_Union
| TAO_Marshal_Union. More...
class | TAO_Marshal_String
| TAO_Marshal_String. More...
class | TAO_Marshal_Sequence
| TAO_Marshal_Sequence. More...
class | TAO_Marshal_Array
| TAO_Marshal_Array. More...
class | TAO_Marshal_Alias
| TAO_Marshal_Alias. More...
class | TAO_Marshal_Except
| TAO_Marshal_Except. More...
class | TAO_Marshal_WString
| TAO_Marshal_WString. More...
class | TAO_Marshal_Value
| TAO_Marshal_Value. More...

## Enumerations

enum | traverse_status { TRAVERSE_STOP, TRAVERSE_CONTINUE }

## Detailed Description

Id
  Marshal.h,v 1.31 2005/03/28 09:46:23 ossama Exp

Classes that marshal various IDL data types.

Author:
  Aniruddha S. Gokhale

## Enumeration Type Documentation

enum traverse_status

Enumeration values:

  TRAVERSE_STOP |
  TRAVERSE_CONTINUE |